apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-prometheus-metrics
  namespace: kyverno
spec:
  endpointSelector:
    matchLabels:
      app.kubernetes.io/instance: kyverno
  ingress:
    - fromEndpoints:
        - matchLabels:
            io.kubernetes.pod.namespace: prometheus
    - toPorts:
        - ports:
            - port: "8000"
              protocol: TCP
